MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003643ncmpcppDefaultpublic2013-01-12 22:012013-04-01 23:47
Reporterricho4 
Assigned TounK 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSLinuxOS VersionArch
Product Versionmaster 
Target VersionFixed in Versionmaster 
Summary0003643: Can't compile with Automake 1.13
DescriptionIn Automake 1.13 (released 28 Dec 2012), AM_CONFIG_HEADER has been removed in favour of AC_CONFIG_HEADERS.
Steps To ReproduceUse Automake 1.13.
Get source code from git repository.
Run autogen.sh

Complete output of autogen.sh:

checking for autoconf ... autoconf
checking for autoheader ... autoheader
checking for automake ... automake
checking for aclocal ... aclocal
checking for libtoolize ... libtoolize
Generating configuration files for ncmpcpp, please wait....
  aclocal
aclocal: warning: autoconf input should be named 'configure.ac', not 'configure.in'
configure.in:3: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.in:3: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
Additional InformationCompiles without a problem when fixing configure.in and autogen acccording to the error messages:

- rename configure.in to configure.ac
- replace "AM_CONFIG_HEADER" with "AC_CONFIG_HEADERS" in configure.ac:3
- change "configure.in" to "configure.ac" in autogen.sh:55 and configure.ac:1
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007695)
unK (administrator)
2013-04-01 23:47

Error fixed.

- Issue History
Date Modified Username Field Change
2013-01-12 22:01 richo4 New Issue
2013-01-12 22:01 richo4 Status new => assigned
2013-01-12 22:01 richo4 Assigned To => unK
2013-04-01 23:47 unK Note Added: 0007695
2013-04-01 23:47 unK Status assigned => resolved
2013-04-01 23:47 unK Fixed in Version => master
2013-04-01 23:47 unK Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker